/********************************** CF90EV.H ********************************

Copyright Symbios Logic 12 October 1988

Author:		Ken Stewart Symbios Logic Products Applications Engineer
Purpose:	53CF90 test software

This software was written by Symbios Logic to develop and test new products.  
It is not a general SCSI driver.  Symbios Logic assumes no liability for
its use, misuse or inability to use.

Project files:
		CF90.C	Main body of code
		TARGET90.C	Target Mode routines
		CF90_ISR.C	Interrupt Service Routine
		CF90TEST.C	Automatic Test Module
		AT_DMA90.C	hardware dependant DMA stuff
		AT_DMA90.H
		CF90AT.H	hardware addresses, global defines
		CF90EV.H	external variables

				  **************/


/***************************** Global Variables **************************/

extern struct parms
  {
  unsigned 	tid, mid, atn, msg_byte, sync_offset, sync_period,
		blksize, blkcount, timeout, parity, clock, burst,
		detail, FASTclk, FAST_SCSI, REQ_ACK, TCT, ANE,
		ESRB, T8, DMA, macnica;
  } parms;

extern int             i, j, temp1, temp2, page, pagemax;

extern unsigned long	seg, off, abs_adrs, iocount, byte_count;

extern unsigned int	dma_buf[2048], cdb_buf[8], intstat,
			status, seq, flag, statbyte, msg, x_count,
			fifo_flags, scsicmd;

extern unsigned char	far* cdb, far* dmabyte, scsi_error, cmd_error,
			pause_flag, SDTR_out[16], SDTR_in[16],
			synch_string[14], test_error, RCB, group_code,
			bus_ID, ID_msg,	config1_image, config2_image,
			config3_image, config4_image;


extern char		cmd,temp,looprw,setup_cmd;

